<!doctype html>
<html>
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width" />
		<meta name="description" content="radio4000-matrix-migration" />
		<title>radio4000-matrix-migration</title>
		<link rel="icon" href="data:;base64,iVBORw0KGgo=" />
		<link rel="stylesheet" href="./src/styles/index.css" />
		<script type="module" src="./src/index.js"></script>
	</head>
	<body>
		<body-header>
			<h1>radio4000 → matrix</h1>
			<p>
				Migrate a <a href="https://radio4000.com/">radio4000</a> channel
				(radio), into a <a href="https://matrix.org">matrix</a> room (see
				<a href="https://gitlab.com/ugrp/protos/radio4000-matrix-migration"
				>code</a>, <a href="https://libli.org/#ko002:matrix.org">example</a>).
			</p>
			<p>
				<label>
					<input type="checkbox" />
					Accept the usage
					<a href="https://gitlab.com/ugrp/protos/radio4000-matrix-migration"
						>conditions & disclaimers</a
					>
					for this tool
				</label>
			</p>
		</body-header>
		<body-main>
			<section>
				<details>
					<summary>1. Export <strong>channel backup file</strong> of a radio4000 channel</summary>
					<ul>
						<li>
							Select a from a Radio4000 radio channel by its <code>slug</code> to create a
							new backup file (example: in radio4000.com/my-radio the
							<code>my-radio</code> is the slug's value).
						</li>
						<li>Save the resulting page as a file on your device for next step.</li>
					</ul>
					<r4m-exporter></r4m-exporter>
				</details>
			</section>
			<section>
				<details>
					<summary>
						2. Import (migrate) radio4000 channel backup file into a matrix.org room
					</summary>
					<ul>
						<li>
							Select radio4000 channel backup file, to migrate into matrix
						</li>
						<li>
							Select matrix room, in which to import channel tracks from the
							backup file
						</li>
						<li>
							Note: each radio4000 track will be imported as a event of type
							<code>org.libli.room.message.track</code> into the selected matrix
							room; a migration can be restarted (page reload), from the last
							uploaded track/event.
						</li>
					</ul>
					<matrix-auth>
						<r4m-importer slot="logout"></r4m-importer>
					</matrix-auth>
				</details>
			</section>
			<section>
				<details>
					<summary>3. How to use after migration</summary>
					<ul>
						<li>All the radio4000 data is now copied in the matrix room</li>
						<li>
							Visit the matrix room on
							<a href="https://libli.org" target="_blank">libli.org</a>, which
							should display the new tracks (as soon as a new matrix event is
							created, check live!).
						</li>
						<li>
							To add new tracks from libli, add the "libli widget" type "media"
							to the matrix room (currently via an other matrix client only; try
							element web)
						</li>
						<li>
							Note: only libli support this new track event type; with the
							"libli media profile type" (added through the widget); this is all
							a prototype
						</li>
					</ul>
					<matrix-auth></matrix-auth>
				</details>
			</section>
		</body-main>
	</body>
</html>
